Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class LispComputeInterpreter

    java.lang.Object
      ix.util.lisp.Interpreter
          ix.util.lisp.LispInterpreter
              ix.ip2.LispComputeInterpreter

All Implemented Interfaces:
  ComputeInterpreter

Direct Known Subclasses:
  PlanCheckingSimulator.CheckingInterpreter

    public class LispComputeInterpreter

extends LispInterpreter
implements ComputeInterpreter

Interpreter for the code in "compute" conditions.

Nested Class Summary

Nested classes/interfaces inherited from class ix.util.lisp.LispInterpreter
`LispInterpreter.JavaNull, LispInterpreter.Parser, LispInterpreter.Syntax, LispInterpreter.SyntaxError`

Nested classes/interfaces inherited from class ix.util.lisp.Interpreter
`Interpreter.AbstractEnv, Interpreter.AbstractFunction, Interpreter.And, Interpreter.Assignment, Interpreter.Call, Interpreter.Closure, Interpreter.Env, Interpreter.Error, Interpreter.Expr, Interpreter.Function, Interpreter.GlobalEnv, Interpreter.If, Interpreter.JFunction, Interpreter.Lambda, Interpreter.Let, Interpreter.LexicalEnv, Interpreter.Literal, Interpreter.Or, Interpreter.Sequence, Interpreter.VarRef, Interpreter.While`

Field Summary
`protected Ip2ModelManager` | `modelManager`
`static Symbol` | `UNDEF`

Fields inherited from class ix.util.lisp.LispInterpreter
`COND, ELLIPSIS, JAVA_NULL, LAMBDA, parserTable, PROGN, QUOTE, reader`

Fields inherited from class ix.util.lisp.Interpreter
`acceptOnlySafeBuiltins, DEFAULT, FALSE, globalEnv, iscript, TRUE`

Constructor Summary
`LispComputeInterpreter(Ip2ModelManager modelManager)`

Method Summary
`java.lang.Object` | `compute(java.lang.Object form)`
`protected void` | `defineBuiltins()`
`protected java.lang.Object` | `getWorldStateValue(LList pattern)`
`void` | `loadSupportCode(java.lang.Object code)`
`static void` | `main(java.lang.String[] argv)` Main program for testing.

Methods inherited from class ix.util.lisp.LispInterpreter
`define, define, define, defineInitialValues, defineSyntax, installDefinitions, isTrue, loadLisp, loadLisp, parseForm, parseList, readEvalPrintLoop, topLevelEval`

Methods inherited from class ix.util.lisp.Interpreter
`isSafe, nameForClass, topLevelApply, topLevelEval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ix.ip2.ComputeInterpreter
`define, isTrue`

Field Detail

### UNDEF

    public static final Symbol UNDEF

### modelManager

    protected Ip2ModelManager modelManager

Constructor Detail

### LispComputeInterpreter

    public LispComputeInterpreter(Ip2ModelManager modelManager)

Method Detail

### main

    public static void main(java.lang.String[] argv)

  Main program for testing.

### compute

    public java.lang.Object compute(java.lang.Object form)

  Specified by:
    `compute` in interface `ComputeInterpreter`

### loadSupportCode

    public void loadSupportCode(java.lang.Object code)

  Specified by:
    `loadSupportCode` in interface `ComputeInterpreter`

### getWorldStateValue

    protected java.lang.Object getWorldStateValue(LList pattern)

### defineBuiltins

    protected void defineBuiltins()

  Overrides:
    `defineBuiltins` in class `LispInterpreter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD